---
title: "Retrieve Card Status History"
source_url: https://docs.rapyd.net/en/retrieve-card-status-history.html
lang: en
---

# Retrieve Card Status History

Retrieve the historical blocking records for an issued card, including the date, and specific reason for each instance.

### Parameters

### Request Path Parameters

- - card
  - ID of the issued card. String starting with **card_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - blocked_reason
  - Reason for blocking the card. One of the following:

    - **blocked_reversible**
    - **canceled**
    - **compliance**
    - **locked_incorrect_pin**
    - **migrated**
    - **none**
    - **other**
    - **reissued**
    - **suspected_fraud**

    none
- - card_status
  - Status of the card. One of the following:

    - **ACT** - Active.
    - **BLO** - Blocked.
    - **IMP** - Imported in bulk, but not yet personalized.
    - **INA** - Inactive.
- - date
  - The date and time when the card's status was changed.

- /v1/issuing/cards/:card/status_history

- Get Card Status History
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/issuing/cards/card_16913c402be05e4dae48d081643f8368/status_history' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "2cfb2542-f6da-4daf-a82f-2df7e3498195"
      },
      "data": [
          {
              "card_status": "ACT",
              "blocked_reason": null,
              "date": "2025-12-04T08:14:52.000Z"
          },
          {
              "card_status": "BLO",
              "blocked_reason": "stolen",
              "date": "2025-12-04T08:14:31.000Z"
          },
          {
              "card_status": "ACT",
              "blocked_reason": null,
              "date": "2025-12-03T08:10:20.000Z"
          },
          {
              "card_status": "BLO",
              "blocked_reason": "stolen",
              "date": "2025-12-03T08:09:38.000Z"
          },
          {
              "card_status": "ACT",
              "blocked_reason": null,
              "date": "2025-12-03T08:08:41.000Z"
          },
          {
              "card_status": "INA",
              "blocked_reason": null,
              "date": "2025-12-03T08:06:34.000Z"
          }
      ]
  }
  ```
